%define module_name	qla2x00
%define module_version	7.03.00

Name: kernel-source-%module_name-%module_version
Version: %module_version
Release: alt1

Summary: QLogic Fibre Channel Driver - module sources
License: GPL
Group: Development/Kernel
Url: http://www.qlogic.com/support/os_detail.asp?productid=112&osid=26
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: %module_name-v%module_version-dist.tgz
Patch0: %module_name-7.03.00-Makefile.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
This package contains sources for building the QLogic Fibre Channel
Driver for Linux.

%prep
%setup -q -c
%__mkdir_p kernel-source-%module_name-%module_version
%__tar -x -z -f qlogic/%{module_name}src-v%module_version.tgz \
	-C kernel-source-%module_name-%module_version
%setup -D -T

cd kernel-source-%module_name-%module_version
%__mv makefile makefile.old
%__mv Makefile.kernel Makefile
%patch0 -p0
cd ..

%build
%__tar -c -j -f kernel-source-%module_name-%module_version.tar.bz2 \
	kernel-source-%module_name-%module_version

%install
%__mkdir_p %kernel_srcdir
%__install -p -m644 kernel-source-%module_name-%module_version.tar.bz2 \
	%kernel_srcdir

%files
%kernel_src/*

%changelog
* Thu Jun 09 2005 Sergey Vlasov <vsu@altlinux.ru> 7.03.00-alt1
- Version 7.03.00.

* Mon Apr 26 2004 Sergey Vlasov <vsu@altlinux.ru> 6.05.00-alt4.b9
- Fix mode for device node in /proc.

* Thu Oct 30 2003 Ed V. Bartosh <ed@altlinux.ru> 6.05.00-alt3.b9
- Change packager to ed@altlinux.ru

* Thu Aug  7 2003 Ed V. Bartosh <ed@sam-solutions.net> 6.05.00-alt2.b9
- qla2x00-scsincludes-alt.patch added

* Fri Aug  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 6.05.00-alt1.b9
- Initial release

